<?php
/*
This file displays all of the beers I have had by connecting to the database, counting the beers, then pulling all the info.
*/

	// Opens the ClearDB mysql connection. Pulls info from Heroku settings.
  $url=parse_url(getenv("CLEARDB_DATABASE_URL"));

    mysql_pconnect(
            $server = $url["host"],
            $username = $url["user"],
            $password = $url["pass"]
			);

    $db=substr($url["path"],1);

    mysql_select_db($db);


// Ok, connection open.  Let's pull the beers.

$query="select brewery, brew, rating from beer order by brewery asc, brew asc";


// Query

$result=mysql_query($query);

// Get last 5
$lastQuery="select brewery, brew, rating from beer order by id desc limit 5";
$last5=mysql_query($lastQuery);

// Close
mysql_close();

// Let's see how many beers we have
$number=mysql_num_rows($result);



?>


<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <title>Philip's Beer Database</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="The database of all of the beers Philip has tried.">
    <meta name="author" content="Philip I Thomas">

    <!-- Le styles -->
    <link href="../assets/css/bootstrap.css" rel="stylesheet">
    <style type="text/css">
      body {
        padding-top: 60px;
        padding-bottom: 40px;
      }
    </style>
    <link href="../assets/css/bootstrap-responsive.css" rel="stylesheet">

    <!-- Le HTML5 shim, for IE6-8 support of HTML5 elements -->
    <!--[if lt IE 9]>
      <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->

    <!-- Le fav and touch icons -->
 <!---   <link rel="shortcut icon" href="../assets/ico/favicon.ico"> -->
     <script type="text/javascript">

  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-9939917-3']);
  _gaq.push(['_setDomainName', 'philipithomas.com']);
  _gaq.push(['_trackPageview']);

  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();

</script>


	</head>
  <body>

    <div class="navbar navbar-fixed-top">
      <div class="navbar-inner">
        <div class="container">
          <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </a>
          <a class="brand" href="#">Philip's Beer Database <span class="label label-success"><?php echo $number; ?> Beers Tried</span></a>
          <div class="nav-collapse">
            <ul class="nav">
			  <li><a href="#last">Last 5</a></li>
			  <li><a href="#top">Top 5</a></li>
			  <li><a href="#all">Complete List</a></li>
              <li class="pull-right"><a href="http://philipithomas.com"><i class="icon-briefcase icon-white"></i> philipithomas.com</a></li>
            </ul>
          </div><!--/.nav-collapse -->
        </div>
      </div>
    </div>

    <div class="container">

	<div class="row">
			<div class="span6">
				<section id="last">
				<h2>Last 5 Beers</h2>
				<table class="table table-condensed">
			        <colgroup>
			          <col class="span2"> <!-- Brewery -->
			          <col class="span3"> <!-- beer -->
					  <col class="span1"> <!-- Rating -->	
			        </colgroup>
			        <thead>
			          <tr>
			            <th>Brewery</th>
			            <th>Beer</th>
						<th>Rating</th>
			          </tr>
			        </thead>
			        <tbody>
				
				<?php
					// Loop through all the beers
							while ($beer = mysql_fetch_assoc($last5)) {
							echo '<tr>';
							echo "<td>".$beer['brewery']."</td>";
							echo "<td>".$beer['brew']."</td>";
							echo "<td>";
							rate($beer['rating']); // Show some color!

							echo"</td>";
							echo "</tr>";
						}
						?>
				
				
				
						

					</tbody>
				</table>
			</div>
			</section>
			<section id="top">
			
		<div class="span6">
			<h2>Top 5 Beers</h2>
			<table class="table table-condensed">
		        <colgroup>
				  <col class="span1"> <!-- Rank -->
		          <col class="span2"> <!-- Brewery -->
		          <col class="span2"> <!-- beer -->
				  <col class="span1"> <!-- Rating -->	
		        </colgroup>
		        <thead>
		          <tr>
					<th>Rank</th>
		            <th>Brewery</th>
		            <th>Beer</th>
					<th>Rating</th>
		          </tr>
		        </thead>
		        <tbody>
					<tr>
						<td>1</td>
						<td>Cascade</td>
						<td>Sang Noir</td>
						<td><?php rate(10); ?></td>
					</tr>
					<tr>
						<td>2</td>
						<td>Cascade</td>
						<td>Sang Royal</td>
						<td><?php rate(10); ?></td>
					</tr>
					<tr>
						<td>3</td>
						<td>Firestone Walker</td>
						<td>Abacus</td>
						<td><?php rate(9); ?></td>
					</tr>
					<tr>
						<td>4</td>
						<td>Founders</td>
						<td>KBS</td>
						<td><?php rate(9); ?></td>
					</tr>
					<tr>
						<td>5</td>
						<td>Dogfish Head</td>
						<td>120 Minute</td>
						<td><?php rate(9); ?></td>
					</tr>
					
				</tbody>
			</table>
		</div>
	</div>
	</section>
	
	<section id="all">
	<div class="page-header"><h1>Complete List</h1></div>
	
	
	 <div class="row">
	    <div class="span12">
	      <table class="table table-bordered table-striped">
	        <colgroup>
	          <col class="span5"> <!-- Brewery -->
	          <col class="span5"> <!-- beer -->
			  <col class="span2"> <!-- Rating -->
	        </colgroup>
	        <thead>
	          <tr>
	            <th>Brewery</th>
	            <th>Beer</th>
				<th>Rating <small>(/10)</small></th>
	          </tr>
	        </thead>
	        <tbody>
		<?php
		
		// Loop through all the beers
				while ($beer = mysql_fetch_assoc($result)) {
				echo '<tr>';
				echo "<td>".$beer['brewery']."</td>";
				echo "<td>".$beer['brew']."</td>";
				echo "<td>";
				rate($beer['rating']); // Show some color!
				
				echo"</td>";
				echo '</tr>';
			}
			?>
				
	          <tr>
	        
	
	        </tbody>
	      </table>
	    </div>
	
	

    </div>
</section>
  </body>
</html>

<?php

function rate($rating) {
	/* Color-codes rating on scale of 1 - 10. 
	1,2,3 = red
	4,5,6 = yellow

	7,8,9,10=green
	*/
	if ($rating<4&&$rating>0) {
		echo '<span class="badge badge-important">'.$rating.'</span>';
	}
	elseif ($rating>6) {
		echo '<span class="badge badge-success">'.$rating.'</span>';
		
	}
	elseif ($rating==4||$rating==5||$rating==6) {
		echo '<span class="badge badge-warning">'.$rating.'</span>';
		
	}
}

?>


