
<?php
session_start();

/*

Allows a user to log in then add new beers.

Set the password and salt HERE:
(The password is what you use to enter the system; the salt is a random )

Use an MD5 hash of 
*/

$salt="LpGnXxtSNtzBT48aNBKNhYf2"; // Any string of random numbers and letters. Try random.com

 $password = "hophead";
 $hashedPassword=md5($salt.$password);
//$hashedPassword= "";

if ( isset( $_POST['password'] ) ){
	// Someone is trying to log in
	if ( md5( $salt . $_POST['password'] ) == $hashedPassword){
		// Correct password
		// Set session
		$_SESSION['loggedIn'] = true;
	}else{
		$loginFail=true;
		// we'll use this to show a message later
	}
}


// Show some header shit

?>
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <title>Philip's Beer Database</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="The database of all of the beers Philip has tried.">
    <meta name="author" content="Philip I Thomas">

    <!-- Le styles -->
    <link href="../assets/css/bootstrap.css" rel="stylesheet">
 
    <link href="../assets/css/bootstrap-responsive.css" rel="stylesheet">

    <!-- Le HTML5 shim, for IE6-8 support of HTML5 elements -->
    <!--[if lt IE 9]>
      <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
	</head>
  <body>
  	    <div class="container">


 <?php 
 // Now some content

if ( isset( $_SESSION['loggedIn'] ) ){
	// The user is logged in. Check to see if there is a beer submitted.

	if ( isset( $_POST['brewery'] ) || isset( $_POST['beer'] ) || isset( $_POST['rating'] ) || isset ( $_POST['notes'] ) ){
		// Process the new beer
		$error = "";

		$brewery = sanitize( $_POST[ 'brewery' ] );
		$beer = sanitize( $_POST[ 'beer' ] );
		$rating = sanitize( $_POST[ 'rating' ] );
		$notes = sanitize( $_POST[ 'rating' ] );

		if( !is_numeric( $rating ) && !empty( $rating) ){
			 // A rating was submitted and it was not a number
			$error .= "<li>Rating invalid</li>";
		}

		if( empty( $brewery ) ){ 
			$error .= "<li>A brewery must be provided.</li>";
		}

		if ( empty( $beer ) ){
			$error .= "<li>A beer must be provided.</li>";
		}

		dbOpen();
		// Assuming I'm not mysql injecting myself . . . 
		$query = "Insert into beer( brewery, brew, rating, notes ) values ( \"$brewery\", \"$beer\", \"$rating\", \"$notes\")";
		$result = mysql_query( $query );

		if( !$result ){
			// query failure
			$error .= "<li>Database error with query <<< $query >>></li>";
		}




		if( empty( $error ) ){
			unset($error);
			$success = "$brewery $beer entered. That is " . beerNum() . " beers!"; 
		}
	}
	// end processing of post data

	// Show the form
	?>
		<div class="row" style="padding-top: 100px">
		<div class="span4 offset4 well">
	<center>	<h2>Enter New Beer</h2></center>
                  <form action="/new" method="post" accept-charset="UTF-8">   
<?php if ( $error) { echo "<div class=\"alert alert-block\"><ul>" . $error . "</ul></div>";} ?>
<?php if ($success) { echo '<div class="alert alert-success">' . $success .'</div>';} ?>

			<input type="text" id="brewery" class="span4" name="brewery" placeholder="Brewery" autofocus="autofocus" <?php if ($error) { echo 'value="'.$_POST['brewery'].'"';}?> >
			<input type="text" id="beer" class="span4" name="beer" placeholder="Beer" <?php if ($error) { echo 'value="'.$_POST['beer'].'"';}?> >
			<input type="text" id="rating" class="span4" name="rating" placeholder="Rating (optional, 1-10)" <?php if ($error) { echo 'value="'.$_POST['rating'].'"';}?> >
			<input type="text" id="notes" class="span4" name="notes" placeholder="Notes (optional)" <?php if ($error) { echo 'value="'.$_POST['notes'].'"';}?> >


<div align="center">
                       <button class="btn btn-primary btn-block" type="submit" name="submit">Submit</button>
                         <button class="btn btn-block" type="reset" name="reset">Reset</button>
                   <a class="btn btn-inverse btn-block" href="/logout">Log Out</a>
</div>
                  </form>
          </div>
          </div>

	<?php
	

}
else{


// The user is not logged in. Show the login form.
?>
<div class="row" style="padding-top:100px">
	<div class="span4 offset4 well" >
<center>	<h2>Authenticate, Good Sir!</h2></center>
              <form action="/new" method="post" accept-charset="UTF-8">   
<?php if ($loginFail) { echo "<div class=\"alert alert-block\">Wrong!</div>"; } ?>                    
		<input type="password" id="password" class="span4" name="password" placeholder="Password" autofocus="autofocus">

               <div align="center">    <button class="btn btn-primary btn-block" type="submit" name="submit">Sign in</button></div>
                 


              </form>
      </div>
      </div>
   <?php
}
// Now some footer shit

?>
</div>
 </body>
</html>

<?php
// and some functions
	// Removes problematic characters
function sanitize($string){
	return htmlspecialchars( trim( strip_tags( $string ) ) );
}

function dbOpen(){
	// Connects to ClearDB on Heroku using the 
	// environmental variables in the dyno
  $url=parse_url( getenv( "CLEARDB_DATABASE_URL" ) );

    mysql_pconnect(
            $server = $url[ "host" ],
            $username = $url[ "user" ],
            $password = $url[ "pass" ] 
    );
    
    // Now we are connected - let's select the database

    $db=substr( $url["path"] , 1 );

    mysql_select_db( $db );

}

function beerNum(){
	/*
	Returns the number of beers.
	*/
	$query = 'Select count(*) from beer ';
	dbOpen();
	$num = mysql_fetch_array( mysql_query( $query ) );
	mysql_close();
	return $num[ 0 ];
}
?>
